
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>WPF学习笔记 / iVAN</title>

    <meta name="description" content="WPF学习笔记 10. 数据提供程序 (1) XmlDataProvider XmlDataProvider 允许我们直接将 XML 数据作为数据源,我们将前面章节的例子改成 XML 数据岛试试,注意此时我们已经不需要在代码中定义 Personal.PersonalList 类型. &lt;Window x:Class=&quot;Learn.WPF.Window1&quot; xmlns=&quot;http://schemas.microsoft.com/winfx/2006/xaml/presentati ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">WPF学习笔记</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>10. 数据提供程序</p>
<p>(1) XmlDataProvider</p>
<p>XmlDataProvider 允许我们直接将 XML 数据作为数据源，我们将前面章节的例子改成 XML 数据岛试试，注意此时我们已经不需要在代码中定义 Personal、PersonalList 类型。</p>
<p><code>&lt;Window　x:Class="Learn.WPF.Window1"<br />
　　xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"<br />
　　xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"<br />
　　Title="Window1"&gt;<br />
　　&lt;Window.Resources&gt;<br />
　　　　&lt;XmlDataProvider　x:Key="personals"　XPath="Personals"&gt;<br />
　　　　　　&lt;x:XData&gt;<br />
　　　　　　　　&lt;Personals　xmlns=""&gt;<br />
　　　　　　　　　　&lt;Personal　Name="Tom"　Age="15"　Sex="Male"　/&gt;<br />
　　　　　　　　　　&lt;Personal　Name="Mary"　Age="11"　Sex="Female"　/&gt;<br />
　　　　　　　　　　&lt;Personal　Name="Jack"　Age="12"　Sex="Male"　/&gt;<br />
　　　　　　　　&lt;/Personals&gt;<br />
　　　　　　&lt;/x:XData&gt;<br />
　　　　&lt;/XmlDataProvider&gt;<br />
　　&lt;/Window.Resources&gt;<br />
　　&lt;Grid&gt;<br />
　　　　&lt;StackPanel　DataContext="{StaticResource　personals}"&gt;<br />
　　　　　　&lt;ListBox　x:Name="listbox1"　ItemsSource="{Binding　XPath=*}"&gt;<br />
　　　　　　　　&lt;ListBox.ItemTemplate&gt;<br />
　　　　　　　　　　&lt;DataTemplate&gt;<br />
　　　　　　　　　　　　&lt;StackPanel　Orientation="Horizontal"&gt;<br />
　　　　　　　　　　　　　　&lt;TextBlock　Text="{Binding　XPath=@Name}"　/&gt;<br />
　　　　　　　　　　　　　　&lt;TextBlock&gt;,&lt;/TextBlock&gt;<br />
　　　　　　　　　　　　　　&lt;TextBlock　Text="{Binding　XPath=@Age}"　/&gt;<br />
　　　　　　　　　　　　　　&lt;TextBlock&gt;,&lt;/TextBlock&gt;<br />
　　　　　　　　　　　　　　&lt;TextBlock　Text="{Binding　XPath=@Sex}"　/&gt;<br />
　　　　　　　　　　　　&lt;/StackPanel&gt;<br />
　　　　　　　　　　&lt;/DataTemplate&gt;<br />
　　　　　　　　&lt;/ListBox.ItemTemplate&gt;<br />
　　　　　　&lt;/ListBox&gt;<br />
　　　　&lt;/StackPanel&gt;<br />
　　&lt;/Grid&gt;<br />
&lt;/Window&gt;</code></p>
<p>在资源中定义 XML 数据岛，注意 "Personals xmlns" 不能省略，另外采用 XPath 进行了绑定操作 (XPath 的语法可参考 MSDN 文档)。除了使用数据岛，我们还以使用 XML 数据文件。</p>
<p>Window1.xaml</p>
<p><code>&lt;Window　x:Class="Learn.WPF.Window1"<br />
　　xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"<br />
　　xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"<br />
　　xmlns:my="clr-namespace:Learn.WPF"<br />
　　Title="Window1"&gt;<br />
　　&lt;Window.Resources&gt;<br />
　　　　&lt;XmlDataProvider　x:Key="personals"　Source="pack://siteOfOrigin:,,,/Personals.xml"　<br />
　　　　　　XPath="Personals"　/&gt;</p>
<p>　　&lt;/Window.Resources&gt;<br />
　　&lt;Grid&gt;<br />
　　　　&lt;StackPanel　DataContext="{StaticResource　personals}"&gt;<br />
　　　　　　&lt;ListBox　x:Name="listbox1"　ItemsSource="{Binding　XPath=*}"&gt;<br />
　　　　　　　　&lt;ListBox.ItemTemplate&gt;<br />
　　　　　　　　　　&lt;DataTemplate&gt;<br />
　　　　　　　　　　　　&lt;StackPanel　Orientation="Horizontal"&gt;<br />
　　　　　　　　　　　　　　&lt;TextBlock　Text="{Binding　XPath=@Name}"　/&gt;<br />
　　　　　　　　　　　　　　&lt;TextBlock&gt;,&lt;/TextBlock&gt;<br />
　　　　　　　　　　　　　　&lt;TextBlock　Text="{Binding　XPath=@Age}"　/&gt;<br />
　　　　　　　　　　　　　　&lt;TextBlock&gt;,&lt;/TextBlock&gt;<br />
　　　　　　　　　　　　　　&lt;TextBlock　Text="{Binding　XPath=@Sex}"　/&gt;<br />
　　　　　　　　　　　　&lt;/StackPanel&gt;<br />
　　　　　　　　　　&lt;/DataTemplate&gt;<br />
　　　　　　　　&lt;/ListBox.ItemTemplate&gt;<br />
　　　　　　&lt;/ListBox&gt;<br />
　　　　&lt;/StackPanel&gt;<br />
　　&lt;/Grid&gt;<br />
&lt;/Window&gt;</code></p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-05 05:08:37</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%95%b0%e6%8d%ae/" title="数据">数据</a>, <a href="https://www.iamivan.net/tag/%e8%af%ad%e6%b3%95/" title="语法">语法</a>, <a href="https://www.iamivan.net/tag/xml/" title="xml">xml</a>, <a href="https://www.iamivan.net/tag/%e6%95%b0%e6%8d%ae%e6%ba%90/" title="数据源">数据源</a>, <a href="https://www.iamivan.net/tag/xpath/" title="xpath">xpath</a>, <a href="https://www.iamivan.net/tag/personal/" title="Personal">Personal</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>WPF学习笔记的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pdLL74p.html" rel="bookmark">WPF学习笔记：MVVM模式下，ViewModel如何关闭View？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原文:http://blog.csdn.net/leftfist/article/details/32349731 矫枉过正,从一个极端走向另一个极端.MVVM模式,View只负责呈现,虽然也有后台代码,但基本上就是摆设,VM接管了一切的逻辑处理. 那么,现在,大能的VM已经完成了所有的事情,这个窗口V如何才能自动关闭呢? 据我目前少得可怜的WPF知识可知,有两种方案: 方案一.利用View里的IsEnable属性. 原理是这样的: 1.UI中的IsEnabled绑定VM中的属性 2.UI的后台			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bK772db.html" rel="bookmark">WPF &plus; Silverlight学习笔记</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				WPF and Silverlight学习笔记(三十):Brush(2) WPF and Silverlight学习笔记(二十九):Brush(1) WPF and Silverlight学习笔记(二十八):基本图形的使用(3)图 WPF and Silverlight学习笔记(二十七):基本图形的使用(2)Pa WPF and Silverlight学习笔记(二十六):基本图形使用(1) WPF and Silverlight学习笔记(二十五) WPF and Silverlight学习笔记(			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MqLLBGb.html" rel="bookmark">WPF and Silverlight学习笔记（二十五）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				WPF and Silverlight学习笔记(二十五):使用CollectionView实现对绑定数据的排序.筛选.分组 在第二十三节,我们使用CollectionView实现了对于绑定数据的导航,除导 航功能外,还可以通过CollectionView对数据进行类似于DataView的排序.筛选 等功能. 一.数据的排序: 使用第二十四节的数据源,查询所有 的产品信息: 1: &lt;Window x:Class=&quot;WPF_24.CollectionViewSortData&quot; 2:			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQPPAGz.html" rel="bookmark">WPF and Silverlight学习笔记（十二）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				WPF and Silverlight学习笔记(十二):WPF Panel内容模型.Decorator内容模型及其他 一.Panel内容模型 Panel内容模型指从 System.Windows.Controls.Panel继承的控件,这些控件都是容器,可以在内部 承载其他的控件和子容器.Panel内容模型包含的容器有: Canvas DockPanel Grid TabPanel ToolBarO verflowPanel UniformGrid StackPanel ToolBarPanel			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pnxxNWb.html" rel="bookmark">WPF and Silverlight学习笔记（七）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				WPF and Silverlight学习笔记(七):WPF布局管理之StackPanel.WrapPanel.DockPanel 一.StackPanel StackPanel是以堆叠的方式显示其中的控件 1 .可以使用Orientation属性更改堆叠的顺序 Orientation=&quot;Vertical&quot; 默认,由上到下显示各控件 .控件在未定义的前提下,宽度为StackPanel的宽度,高度自动适应控件中内容 的高度 1: &lt;StackPanel Orientation=&q			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MgV5ABb.html" rel="bookmark">VSTO学习笔记（七）基于WPF的Excel分析、转换小程序</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原文:VSTO学习笔记(七)基于WPF的Excel分析.转换小程序 近期因为工作的需要,要批量处理Excel文件,于是写了一个小程序,来提升工作效率. 小程序的功能是对Excel进行一些分析.验证,然后进行转换.   概述 小程序主界面如下: 首先选择一个日期和类别,从命名上对待分析的Excel文件进行过滤.点击[浏览]选择待分析的Excel文件所在的目录, 程序中会获取所有子目录.然后点击[执行分析]就会按照左边CheckBox中的选择进行分析,分析结果显示在每一行中间.[修改配置]可以对分析			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pkwGZwp.html" rel="bookmark">VSTO学习笔记（二）Excel对象模型</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原文:VSTO学习笔记(二)Excel对象模型 上一次主要学习了VSTO的发展历史及其历代版本的新特性,概述了VSTO对开发人员的帮助和效率提升.从这次开始,将从VSTO 4.0开始,逐一探讨VSTO开发中方方面面,本人接触VSTO时间不长,也是一次尝试.鉴于Excel在整个Office家族中的重要地位,故先从Excel开始介绍,后续内容会陆续介绍Word.PowerPoint.Outlook.InfoPath等.由于VSTO 4.0建立在Office 2010基础之上,先介绍一下Office			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MgV1XEb.html" rel="bookmark">VSTO学习笔记（一）VSTO概述</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原文:VSTO学习笔记(一)VSTO概述 接触VSTO纯属偶然,前段时间因为忙于一个项目,在客户端Excel中制作一个插件,从远程服务器端(SharePoint Excel Services)上下载Excel到本地打开,用户编辑后再上传回服务器端.当时工期紧迫,临时查了些资料,用VSTO + Excel COM API完成.正因为这个项目,我发现了VSTO的强大功能与潜力,决定抽出一些时间来好好研究下. 示例代码下载 本系列所有示例代码均在 Visual Studio 2010 Beta 2 +			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ba7q6gp.html" rel="bookmark">VSTO 学习笔记（十）Office 2010 Ribbon开发</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原文:VSTO 学习笔记(十)Office 2010 Ribbon开发 微软的Office系列办公套件从Office 2007开始首次引入了Ribbon导航菜单模式,其将一系列相关的功能集成在一个个Ribbon中,便于集中管理.操作.这种Ribbon是高度可定制的,用户可以将自己常用的功能进行单独设置,提高工作效率.但是由于Office 2003时代用户的操作习惯已经养成,结果到了Office 2007很多菜单.按钮都找不到了,着实有些尴尬.经过一段时间的适应,相信大多数用户已经习惯Ribbon			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OM9Pkdb.html" rel="bookmark" class="title">Photoshop设计教程：制作爱心事图文</a>
					<div>
						本教程主要使用Photoshop设计爱心事图文设计教程,喜欢的朋友可以一起来学习吧. 先看看效果图 下面是教程 [1] [2]  下一页					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Xpmnyjz.html" rel="bookmark" class="title">了解思科PIX和ASA之间的不同</a>
					<div>
						很多年来,Cisco PIX一直都是Cisco确定的防火墙.但是在2005年5月,Cisco推出了一个新的产品--适应性安全产品(ASA,Adaptive Security Appliance).不过 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/7b2vOvb.html" rel="bookmark" class="title">介于白帽和黑帽之间的三个隐性优化操作</a>
					<div>
						我们很多站长在进行网站优化操作过程中,特别是新站,要操作的东西很多,有前台看的到的优化操作,比如发SEO文章,加友情链接,设计首页栏目等等,也有前台看不到的优化操作,我称之为隐性优化操作,隐性优化操作 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qMq612p.html" rel="bookmark" class="title">windows 2008定时任务调用bat不成功如何解决</a>
					<div>
						之前一直有在一台XP的机器上调用定时任务,现在这台机器换成了window 2008的操作系统,调用一直不成功,不过在偶然之间解决了. 选择&quot;任务计划程序&quot; 任务计划程序库 点击创建 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgK3E5M.html" rel="bookmark" class="title">Liferay Theme的使用范例</a>
					<div>
						我们可以开发Theme来让系统不使用默认的风格. 当我们用向导创建一个Theme项目并且编译之后,这个项目结构如下图所示: 其中docroot下面所有在_diffs目录外面的都是Liferay从默认的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJ7ek7b.html" rel="bookmark" class="title">如何在Word 2013中为文字添加下划线</a>
					<div>
						在Word2013文档中,用户可以为文本添加多种样式和各种颜色的下划线,操作步骤如下所述: 第1步,打开Word2013文档窗口,选中需要添加下划线的文本块.在&quot;开始&quot;功能区的&q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW1GQez.html" rel="bookmark" class="title">如何向苹果举报垃圾信息</a>
					<div>
						苹果在其网站为用户介绍了一个新的垃圾信息举报方式:向苹果举报垃圾信息,请把以下内容发送到 imessage.spam@icloud.com1.你收到的信息的屏幕截图2.信息发送这完整的邮箱地址或电话号 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwl4dOb.html" rel="bookmark" class="title">Eclipse&period;classpath文件浅谈</a>
					<div>
						Eclipse .classpath文件浅谈: &lt;classpathentry exported=&quot;true&quot; kind=&quot;con&quot; path=&quot ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxPArmM.html" rel="bookmark" class="title">Oracle RAC 执行闪回数据库操作</a>
					<div>
						[oracle@zhongwc1 ~]$ sqlplus / as sysdba SQL*Plus: Release 11.2.0.3.0 Production on Wed Jan 23 17:02 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pd7Vw6M.html" rel="bookmark" class="title">知名网站的复古概念设计</a>
					<div>
						美国博客杂志AKA Magazine收录了绘画艺术家zazzle的一组设计作品,主题是将一系列知名的互联网社会化网站用复古潮流进行了重新的演绎和包装,并且切入作者为其选配的色调.素材,以及引述的一句话 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mr3Namp.html" rel="bookmark" class="title">协作群成员角色说明</a>
					<div>
						 协作群成员角色说明 权限 成员管理 回收站内容恢复 新建 上传 编辑 评论 聊天 查看 群主 √ √ √ √ √ √ √ √ 管理员 √ √ √ √ √ √ √ √ 编辑者     √ √ √ √  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKkaA5b.html" rel="bookmark" class="title">mysqldiff 0&period;40发布 MySQL数据库结构比较软件</a>
					<div>
						mysqldiff是一个Perl脚本,用于比较两个MySQL数据库的数据结构(即表的定义),并得出相比较后的差异,作为MySQL命令的序列适用于管道到mysql,转换第一个数据库结构到相同的第二个数据 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqAA2KM.html" rel="bookmark" class="title">碎片化-求大神解决，android碎片&comma;在手机模拟器可以运行，在平板报错了</a>
					<div>
						问题描述 求大神解决,android碎片,在手机模拟器可以运行,在平板报错了 说是null指针,我都定义layout-large的xml,不是很懂,怎样查找求大神... 解决方案 http://blo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5NZnAz.html" rel="bookmark" class="title">redis4&period;0之module API</a>
					<div>
						Modules API reference RedisModule_Alloc void *RedisModule_Alloc(size_t bytes); Use like malloc(). Me ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdELjmz.html" rel="bookmark" class="title">ajax返回的值一直无法比较</a>
					<div>
						问题描述 ajax返回的值一直无法比较 ajax返回的data与num的一直是false的.尝试了,typeof data和num ,输出的都是string.然后也尝试了toString()等.dat ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVNA5Qz.html" rel="bookmark" class="title">产品-C&num;合同逾期 分配给人员</a>
					<div>
						问题描述 C#合同逾期 分配给人员 30C 解决方案 查询出所有可以分配的记录变成乱序循环分配,直到所有合同分配完毕 解决方案二: 请问有具体操作吗?这个思路挺广泛的 解决方案三: 因为表B负责产品以 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLm6m5z.html" rel="bookmark" class="title">这是apache log，有各种异常访问，我尝试禁止都失败了，求助大神们这个应该怎么处理？</a>
					<div>
						问题描述 这是apache log,有各种异常访问,我尝试禁止都失败了,求助大神们这个应该怎么处理? 解决方案 http://www.phpddt.com/server/apache-log.html					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGEJlkM.html" rel="bookmark" class="title">编码-用dataset&period;readxml读取xml，有多个table，怎么把这些数据汇到一个table？</a>
					<div>
						问题描述 用dataset.readxml读取xml,有多个table,怎么把这些数据汇到一个table? 用dataset.readxml读取xml,由于有多个级别,直接读取会有多个table,怎么 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRDDxxz.html" rel="bookmark" class="title">java-Java编写的售票系统问题求教</a>
					<div>
						问题描述 Java编写的售票系统问题求教 编程初学者,我用Java编写了一个简单的售票系统,但是运行时候报错,希望大牛能帮我看一下! 这是一个User类: package subwayTicketSe ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKYeVOp.html" rel="bookmark" class="title">三星GALAXY E7 如何激活开发者选项&quest;&lpar;E7000&rpar;</a>
					<div>
						1.三星手机所有功能都可以进入到[应用程序]中,我们在待机状态点击应用程序图标,然后打开进入.    开发者选项?(E7000)-galaxy s5开发者选项&quot;&gt;   2.之后再找到应 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pL7DQLM.html" rel="bookmark" class="title">杜蕾斯vs杰士邦 用数据说话</a>
					<div>
						如果你和一个比你优秀的女生同时喜欢上一个男生,你该怎样做让自己比对方更能赢得男生的心呢,妈妈说,首先你应该了解这个女生,比较你们两个之间的差距,看看她在哪些地方比你更加吸引人,取长补短,让自己变得和她 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3rKPgz.html" rel="bookmark" class="title">PHP5新特性&colon; 更加面向对象化的PHP&lowbar;php技巧</a>
					<div>
						PHP处理对象部分的内核完全重新开发过,提供更多功能的同时也提高了性能.在以前版本的php中,处理对象和处理基本类型(数字,字符串)的方式是一样的.这种方式的缺陷是:当将对象赋值给一个变量时,或者通过 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJANGVp.html" rel="bookmark" class="title">构建ASP&period;NET MVC4&plus;EF5&plus;EasyUI&plus;Unity2&period;x注入的后台管理系统（12）-系统日志和异常的处理②</a>
					<div>
						原文:构建ASP.NET MVC4+EF5+EasyUI+Unity2.x注入的后台管理系统(12)-系统日志和异常的处理② 上一讲我们做了日志与异常的结果显示列表,这一节我们讲要把他应用系统中来.  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRN6WqM.html" rel="bookmark" class="title">关于省市级联菜单显示的问题</a>
					<div>
						问题描述 我从网上找了一段javascript的省市级联代码,Ajax的我不会,新写了一个页面,把代码复制到页面上,没有问题,但是,放到我项目里的时候,结果写2个才能显示出来一个,写一个话就获取不到省 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlLPNnM.html" rel="bookmark" class="title">asp net mvc4-asp&period;net mvc通过分部视图实现jquery中load的效果疑问</a>
					<div>
						问题描述 asp.net mvc通过分部视图实现jquery中load的效果疑问 我想通过asp.net mvc自带的分部视图等功能实现jquery中类似于load的效果: 我有一个完整的页面,通过@ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOJR08p.html" rel="bookmark" class="title">當發送的是離線訊息時，有任何方式可以再發送e-mail嗎</a>
					<div>
						问题描述 請教,當發送的是離線訊息時,有任何方式可以再發送e-mail嗎 解决方案 没有,对方不在线,上线之后可以收到					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW77EjM.html" rel="bookmark" class="title">php中foreach curl实现多线程例子</a>
					<div>
						在利用foreach语句循环图片URL,并通过CURL将所有图片进行本地保存的函数时 ,出现了只能采集到一个的问题.现将foreach和CURL结合进行多URL请求的方法进行下总如. 方法1:循环请求 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmVlBBz.html" rel="bookmark" class="title">jquery封装audio5js实现语音播放器的例子</a>
					<div>
						首先先简单介绍一下Audio5js吧. Audio5js是一个能够帮助你解决类似这样的浏览器兼容性问题的js类库,轻量级并且能够很优雅的使用flash向前兼容老版本的浏览器. 其主要特性: 拥有完整A ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwKEd5z.html" rel="bookmark" class="title">如何查看extjs中的依赖</a>
					<div>
						问题描述 各位大虾,请问有没有人比较熟悉extjs.我现在在学这方面的东西.小弟遇到了一个问题,当我们做自己的js文件时,通过将几个source包里面的.js文件合并到一个.js中,有时涉及到了依赖. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPl72rp.html" rel="bookmark" class="title">凭借高效薄膜太阳能发电技术 汉能正在加快实施&OpenCurlyDoubleQuote;移动能源&plus;&rdquo;战略</a>
					<div>
						&lt;&quot;十三五&quot;规划纲要&gt;中,对清洁能源领域.尤其是光伏产业的发展释放了众多利好.至此,以清洁能源产业为重要着力点的绿色发展理念上升为国家战略. 近一年多以来,随着汉能&q ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.028 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
